summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorkay.sievers@vrfy.org <kay.sievers@vrfy.org>2005-04-11 22:38:41 +0200
committerGreg KH <gregkh@suse.de>2005-04-26 23:55:01 -0700
commit05bd6efb41b6a80378cc4f6e7427a302b4953541 (patch)
tree7eda5bbcb0e1ca819403f6305d192c717e5b778f
parentd3743cfb3bd605a8ccb52d30eeaad6a00e6d2123 (diff)
downloadsystemd-05bd6efb41b6a80378cc4f6e7427a302b4953541.tar.gz
[PATCH] add test for make -j4 to build-check
-rw-r--r--Makefile1
-rw-r--r--test/simple-build-check.sh4
2 files changed, 3 insertions, 2 deletions
diff --git a/Makefile b/Makefile
index 9c755ba4de..8520b5cc50 100644
--- a/Makefile
+++ b/Makefile
@@ -427,3 +427,4 @@ uninstall: uninstall-man uninstall-dev.d
test: all
@ cd test && ./udev-test.pl
+ @ cd test && ./udevstart-test.pl
diff --git a/test/simple-build-check.sh b/test/simple-build-check.sh
index 1ebe044b98..d1e13e69ed 100644
--- a/test/simple-build-check.sh
+++ b/test/simple-build-check.sh
@@ -10,7 +10,7 @@ make all $MAKEOPTS EXTRAS="$EXTRAS" || exit
echo -e "\n\n"
make spotless EXTRAS="$EXTRAS" >/dev/null
-make all $MAKEOPTS DEBUG=true EXTRAS="$EXTRAS" || exit
+make all -j4 $MAKEOPTS DEBUG=true EXTRAS="$EXTRAS" || exit
echo -e "\n\n"
make spotless EXTRAS="$EXTRAS" >/dev/null
@@ -18,7 +18,7 @@ make all $MAKEOPTS USE_LOG=false EXTRAS="$EXTRAS" || exit
echo -e "\n\n"
make spotless EXTRAS="$EXTRAS" >/dev/null
-make all $MAKEOPTS USE_KLIBC=true DEBUG=true EXTRAS="$EXTRAS" KERNEL_DIR="$KERNEL_DIR" || exit
+make all -j4 $MAKEOPTS USE_KLIBC=true DEBUG=true EXTRAS="$EXTRAS" KERNEL_DIR="$KERNEL_DIR" || exit
echo -e "\n\n"
make spotless EXTRAS="$EXTRAS" >/dev/null